# Interface SyTextViewType

All Superinterfaces:
  `SyActiveReadableType, SyActiveType, SyBoundedReadableType<SySpaceParentRelativeType>, SyBoundedType<SySpaceParentRelativeType>, SyComponentReadableType, SyComponentType, SyEventReceiverType, SyKeyboardFocusableReadableType, SyKeyboardFocusableType, SyMouseFocusAcceptingReadableType, SyMouseFocusAcceptingType, SySizedReadableType<SySpaceParentRelativeType>, SySizedType<SySpaceParentRelativeType>, SyTextViewReadableType, SyThemeableReadableType, SyThemeableType, SyVisibleReadableType, SyVisibleType`

public interface SyTextViewType extends SyTextViewReadableType, SyComponentType
Write access to text views.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `setText(SyText text)`
  Set the text.
  `default void`
  `setTextSelectable(boolean selectable)`
  Set whether the text view is selectable.
  `com.io7m.jattribute.core.AttributeType<SyText>`
  `text()`
  `com.io7m.jattribute.core.AttributeType<Boolean>`
  `textSelectable()`

  ### Methods inherited from interface SyActiveReadableType

  `isMouseOver`

  ### Methods inherited from interface SyActiveType

  `activity, setActive`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea`

  ### Methods inherited from interface SyBoundedType

  `position, setPosition`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyComponentType

  `ancestorMatching, childAdd, childRemove, childrenClear, componentForWindowRelative, layout, node, window`

  ### Methods inherited from interface SyEventReceiverType

  `eventSend`

  ### Methods inherited from interface SyKeyboardFocusableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SyMouseFocusAcceptingType

  `setMouseQueryAccepting`

  ### Methods inherited from interface SySizedType

  `setSize, setSizeUpperLimit, size, sizeUpperLimit`

  ### Methods inherited from interface SyTextViewReadableType

  `isTextSelectable, minimumSizeRequired, themeClassesDefaultForComponent`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleType

  `setVisible, visibility`

- ## Method Details

  - ### textSelectable

    com.io7m.jattribute.core.AttributeType<Boolean> textSelectable()
    Specified by:
      `textSelectable` in interface `SyTextViewReadableType`
    Returns:
      An attribute indicating if this text view is selectable

  - ### text

    com.io7m.jattribute.core.AttributeType<SyText> text()
    Specified by:
      `text` in interface `SyTextViewReadableType`
    Returns:
      The current text

  - ### setTextSelectable

    default void setTextSelectable(boolean selectable)
    Set whether the text view is selectable.
    Parameters:
      `selectable` - `true` if the text view is selectable

  - ### setText

    default void setText(SyText text)
    Set the text.
    Parameters:
      `text` - The text